Commit c1f2a62b authored by Antony Le Courtes's avatar Antony Le Courtes
Browse files

Ajout de code sniffer et phpcompatibility uniquement pour le developpement.

parent 429047ac
{
"name" : "unicaen/ose",
"description" : "Organisation des Services d'Enseignement (OSE)",
"repositories": [
"name" : "unicaen/ose",
"description" : "Organisation des Services d'Enseignement (OSE)",
"repositories" : [
{
"type": "composer",
"url" : "https://gest.unicaen.fr/packagist"
}
],
"require" : {
"php" : ">=8.0",
"unicaen/app" : "dev-ll-php8",
"unicaen/auth" : "dev-ll-php8",
"laminas/laminas-file" : "^2.8",
"unicaen/code" : "dev-ll-php8",
"unicaen/import" : "dev-ll-php8",
"unicaen/tbl" : "dev-ll-php8",
"unicaen/open-document" : "^4.0",
"unicaen/siham" : "^2.0",
"require" : {
"php" : ">=8.0",
"unicaen/app" : "dev-ll-php8",
"unicaen/auth" : "dev-ll-php8",
"laminas/laminas-file" : "^2.8",
"unicaen/code" : "dev-ll-php8",
"unicaen/import" : "dev-ll-php8",
"unicaen/tbl" : "dev-ll-php8",
"unicaen/open-document" : "^4.0",
"unicaen/siham" : "^2.0",
"laminas/laminas-cache-storage-adapter-memory": "2.1.x-dev",
"laminas/laminas-text": "2.10.x-dev"
"laminas/laminas-text" : "2.10.x-dev"
},
"require-dev": {
"squizlabs/php_codesniffer" : "*"
"require-dev" : {
"squizlabs/php_codesniffer" : "3.*",
"phpcompatibility/php-compatibility": "*"
},
"config": {
"prefer-stable" : true,
"config" : {
"allow-plugins": {
"laminas/laminas-dependency-plugin": true,
"laminas/laminas-dependency-plugin" : true,
"composer/package-versions-deprecated": true
}
},
"scripts" : {
"sniffer:php8": "./vendor/bin/phpcs -p ./module --standard=vendor/phpcompatibility/php-compatibility/PHPCompatibility --runtime-set testVersion 8.0"
},
"minimum-stability": "dev"
}
This diff is collapsed.
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment